Draft Mirror: Difference between revisions

From FreeCAD Documentation
(Options for the tool. Certain lines in the "how to use" section.)
(Button. More details on use.)
Line 21: Line 21:
==How to use== <!--T:4-->
==How to use== <!--T:4-->
# Select an object that you wish to mirror.
# Select an object that you wish to mirror.
# Press the {{Button|[[Image:Draft Mirror.png|16px]] [[Draft Mirror]]}} button. If no object is selected, you will be invited to select one.
# Press the {{Button|[[Image:Draft Mirror.svg|16px]] [[Draft Mirror]]}} button. If no object is selected, you will be invited to select one.
# Click the first point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click the first point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click the second point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click the second point of the mirror line on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.


After the creation of the mirror, its binding with the original object can be removed using the [[Part_CreateSimpleCopy|Part Create Simple Copy]] tool.
After creating the mirrored copy, its binding with the original object can be removed using the {{Button|[[Image:Tree_Part.svg|16px]] [[Part_CreateSimpleCopy|Part Create simple copy]]}} tool.


The mirror of a Draft object can also be turned into a Draft Wire, using [[Draft Downgrade]] then [[Draft Upgrade]].
A mirrored copy of a Draft object can be turned into a [[Draft Wire]], by using {{Button|[[Image:Draft Downgrade.svg|16px]] [[Draft Downgrade]]}} then {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade]]}}.


==Options== <!--T:6-->
==Options== <!--T:6-->

Revision as of 17:29, 16 November 2018

Draft Mirror

Menu location
Draft → Mirror
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Scale, Draft Clone

Description

The Mirror tool produces a mirrored copy of a selected object, using the Part Mirror operation. The copy, just like a Draft Clone, is linked to the original object. This means that if the original object changes its shape and properties, the mirrored shape changes as well.

The Mirror tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

How to use

  1. Select an object that you wish to mirror.
  2. Press the Draft Mirror button. If no object is selected, you will be invited to select one.
  3. Click the first point of the mirror line on the 3D view, or type a coordinate and press the add point button.
  4. Click the second point of the mirror line on the 3D view, or type a coordinate and press the add point button.

After creating the mirrored copy, its binding with the original object can be removed using the Part Create simple copy tool.

A mirrored copy of a Draft object can be turned into a Draft Wire, by using Draft Downgrade then Draft Upgrade.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Mirror tool will restart after you give the second point, allowing you to put another object without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

  • DataBase: The base point of the mirror plane
  • DataNormal: The normal direction of the mirror plane

Scripting

The Clone tool can by used in macros and from the python console by using the following function:

mirror (objectslist,p1,p2)
  • Makes mirror(s) of the given object(s) across a plane defined by a line from p1 to p2, and parallel to the current view
  • The result is a Part Mirror object
  • If the original object changes, the final object changes too but keeps mirrored

Example:

import Draft,FeeCAD
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2,2,0)
Draft.mirror(FreeCAD.ActiveDocument.ActiveObject,p1,p2)